libsoup3 (3.6.5-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Denial of service.
    - debian/patches/CVE-2025-32908-1.patch: Add NULL checks with returns for
      NGHTTP2_ERR_TEMPORAL_CALLBACK_FAILURE in
      ./libsoup/server/http2/soup-server-message-io-http2.c.
    - debian/patches/CVE-2025-32908-2.patch: Improve NULL checks in
      ./libsoup/server/http2/soup-server-message-io-http2.c.
    - debian/patches/CVE-2025-4476.patch: Replace strcmp with g_strcmp0 in
      ./libsoup/auth/soup-auth-digest.c.
    - CVE-2025-32908
    - CVE-2025-4476

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 22 May 2025 14:37:50 -0230

libsoup3 (3.6.5-1) unstable; urgency=high

  * New upstream release
  * libsoup-3.0-dev: Add Depends: libkrb5-dev
  * Remove libsoup.gnome.org patch: applied in new release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 17:04:16 -0400

libsoup3 (3.6.4-3) unstable; urgency=medium

  * Team upload
  * d/p/Replace-remaining-references-to-libsoup.org-with-libsoup..patch:
    Add proposed patch to replace expired upstream domain name with
    libsoup.gnome.org

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Mar 2025 14:13:56 +0000

libsoup3 (3.6.4-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Increase build test timeout, for riscv64 (Closes: #1093564)

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 13:23:32 -0500

libsoup3 (3.6.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 17:58:00 -0500

libsoup3 (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Remove 6 patches applies in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:06:51 -0500

libsoup3 (3.6.0-4) unstable; urgency=medium

  * d/patches: Add bug fixes from upstream
    - d/p/server-Add-note-about-recommended-usage.patch:
      Document the level of security support for the server side.
      Upstream has clarified the documentation to state that SoupServer
      is not intended to be exposed to untrusted clients.
      (Related to CVE-2024-52531, CVE-2024-52532)
    - d/p/headers-Be-more-robust-against-invalid-input-when-parsing.patch:
      Fix a buffer overrun if asked to parse non-UTF-8 headers. It is
      believed that this cannot happen on the client side, but it can
      happen in SoupServer. (CVE-2024-52531, Closes: #1087417)
    - d/p/tests-Add-test-for-passing-invalid-UTF-8-to-soup_header_p.patch:
      Add a test-case for the above
    - d/p/websocket-process-the-frame-as-soon-as-we-read-data.patch:
      Avoid an infinite loop in WebSocket processing
      (CVE-2024-52532, Closes: #1087416)
    - d/p/websocket-test-disconnect-error-copy-after-the-test-ends.patch:
      Fix a test failure after resolving CVE-2024-52532
  * d/p/websocket-test-Disconnect-error-signal-in-another-place.patch:
    Add proposed patch to fix another intermittent test failure after
    resolving CVE-2024-52532
  * d/control: libsoup-3.0-tests Depends on ca-certificates.
    Related to #1054962, #1064744
  * d/libsoup-3.0-doc.links: Register reference manual with devhelp
  * d/libsoup-3.0-doc.links: Create symlinks in
    /usr/share/doc/libsoup-3.0-{dev,doc} to make the HTML documentation
    more discoverable

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Nov 2024 14:50:50 +0000

libsoup3 (3.6.0-3) unstable; urgency=medium

  * Add Build-Depends: ca-certificates for build tests
    (Closes: #1064744, #1054962)
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 31 Oct 2024 11:05:08 +0100

libsoup3 (3.6.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Remove unused python3 & python3-quart dependencies (Closes: #1080044)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 31 Aug 2024 08:30:58 -0400

libsoup3 (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 06:57:51 -0400

libsoup3 (3.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libsoup-3.0-0.symbols: Add new symbols
  * Bump minimum glib
  * Fix nocheck build
  * Cherry-pick some additional fixes
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 18:27:30 -0400

libsoup3 (3.4.4-5) unstable; urgency=medium

  * Don't require libapache2-mod-php on i386 either

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jan 2024 20:05:48 -0500

libsoup3 (3.4.4-4) unstable; urgency=medium

  * Don't require php on i386: only used by tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 28 Jan 2024 08:50:22 -0500

libsoup3 (3.4.4-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Explicitly disable pkcs11_tests if built with nocheck,noinsttest.
    These require GNUTLS, which is omitted from the build dependencies
    if built with both of those profiles. Because we're using
    -Dauto_features=enabled, we need to override that for each feature that
    is not wanted.
    Note that both of those profiles need to be activated during
    bootstrapping: even if we are not going to run the test suite during
    the build, we need to compile it for the libsoup3.0-tests binary package,
    unless the noinsttest build profile was specified. (Closes: #1061133)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 09:06:45 -0500

libsoup3 (3.4.4-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Explicitly build-depend on required GIR XML.
    Helps: #1030223
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package.
    Helps: #1030223
  * Remove version constraints unnecessary since Debian 11

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Nov 2023 13:28:30 +0000

libsoup3 (3.4.4-1) unstable; urgency=medium

  * New upstream release
    - Fix regression seen in Ubuntu's s390s autopkgtest (LP: #2036444)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Oct 2023 20:24:22 -0400

libsoup3 (3.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:09:13 -0400

libsoup3 (3.4.2-4) unstable; urgency=medium

  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el":
    The underlying issue was fixed in meson 1.2.1
  * Have -dev package depend on libsysprof-capture-4-dev instead of
    libsysprof-4-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 09:55:02 -0400

libsoup3 (3.4.2-3) unstable; urgency=medium

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 11:37:09 -0400

libsoup3 (3.4.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:55:23 -0400

libsoup3 (3.4.2-1) experimental; urgency=medium

  * New upstream release
  * Update lintian override info format
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 May 2023 10:46:02 -0400

libsoup3 (3.4.1-1) experimental; urgency=medium

  * New upstream release
  * Drop patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Apr 2023 10:56:33 +0200

libsoup3 (3.4.0-1) experimental; urgency=medium

  * New upstream release
  * Cherry-pick fix for build on various architectures

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2023 18:12:58 -0400

libsoup3 (3.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/libsoup-3.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 11:35:19 -0500

libsoup3 (3.2.2-1) unstable; urgency=medium

  * New upstream release
  * Drop cherry-picked 32-bit patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Nov 2022 15:11:19 -0500

libsoup3 (3.2.1-2) unstable; urgency=medium

  * Cherry-pick patches to fix 32-bit build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 21 Oct 2022 14:09:33 -0400

libsoup3 (3.2.1-1) unstable; urgency=medium

  * New upstream release (LP: #1992503)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2022 15:19:46 -0400

libsoup3 (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 16:04:35 -0400

libsoup3 (3.1.4-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release

  [ Eric Long ]
  * Add patch to fix build test timeout on riscv64 (Closes: #1018709)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 02 Sep 2022 16:23:08 -0400

libsoup3 (3.1.3-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix unsatisfiable dependency on non-Linux (Closes: #1017758)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 16:23:16 -0400

libsoup3 (3.1.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jesús Soto <jesus.soto@canonical.com>  Tue, 16 Aug 2022 14:23:55 -0500

libsoup3 (3.1.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * debian/libsoup-3.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 08:20:06 -0400

libsoup3 (3.0.7-1) unstable; urgency=medium

  * New upstream release (LP: #1980400)
  * debian/libsoup-3.0-0.symbols: Drop 2 unused symbols no longer exported

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 30 Jun 2022 15:10:11 -0400

libsoup3 (3.0.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.54

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 16:47:01 -0400

libsoup3 (3.0.5-1) unstable; urgency=medium

  * New upstream release
  * Drop test patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 14:47:42 -0400

libsoup3 (3.0.4-4) unstable; urgency=medium

  * Team upload
  * d/rules: Increase test timeouts.
    http2-body-stream-test timed out on mipsel and riscv64 machines.
    Ideally we should extend the timeout for particularly slow tests
    upstream, but for now, just apply a multiplier so we can see how long
    they take in practice.
  * d/patches: Add more debug-logging for starting/stopping Apache.
    This will hopefully help to debug intermittent test failures in which
    Apache fails to bind to a port that is already in use.

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2022 12:21:59 +0000

libsoup3 (3.0.4-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * debian/control.in: Have libsoup-3.0-dev depend on libsysprof-4-dev
    per its pkgconfig file

  [ Simon McVittie ]
  * d/p/tests-Install-http2-server.py.patch,
    d/p/tests-Install-missing-test-cert-and-key-for-installed-tes.patch:
    Add patches to install http2-server.py and some test TLS certificates,
    fixing an autopkgtest
  * d/patches: Remove workarounds for libsoup#175.
    A better workaround for glib#2563 was merged upstream before 3.0.4.
  * d/control.in: installed-tests depend on python3 and python3-quart
  * d/control.in: Fix Vcs-Git, Vcs-Browser for this source package name
  * Upload to unstable.
    Please coordinate with the GNOME team before transitioning other
    packages to use this version of libsoup: it is important that we avoid
    trying to load libsoup 2 and libsoup 3 into the same process space.

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Mar 2022 13:09:07 +0000

libsoup3 (3.0.4-2) experimental; urgency=medium

  * debian/* Fix several libsoup-3.0 missing hyphens. Thanks Alberto Garcia.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 24 Feb 2022 11:25:39 -0500

libsoup3 (3.0.4-1) experimental; urgency=medium

  * New upstream release (Closes: #1006006)
  * Rename packages for new major release with new namespace
  * debian/libsoup-3.0-0.symbols: Update
  * debian/control.in: Bump minimum meson to 0.53 & libglib2.0-dev to 2.69
  * debian/control.in: Build-Depend on libnghttp2-dev
  * debian/control.in: Build-Depend on libsysprof-capture-4-dev
  * debian/control.in: Build-Depend on winbind for NTLM support
  * debian/control.in: Build-Depend on libgnutls28-dev & python3-quart
    for build tests
  * debian/control.in: Drop obsolete libxml2 & php-xmlrpc dependencies
  * debian/rules: Update build flags for new version
  * debian/rules: Disable autobahn tests
  * Update patches

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 14:56:10 -0500

libsoup2.4 (2.74.2-3) unstable; urgency=medium

  * Team upload
  * Source-only upload to allow testing migration
  * Move to debhelper compat level 13
  * Standards-Version: 4.6.0 (no changes required)
  * Override Lintian errors for RUNPATH in installed-tests.
    These have a private shared library for common code.
  * Override overzealous Lintian hint for documentation outside /usr/share/doc
  * d/p/tests-add-soup_test_build_filename_abs.patch,
    d/p/test-utils-Log-Apache-arguments.patch,
    d/p/test-utils-Save-Apache-server-root-during-initialization.patch:
    Add patches to fix unit test teardown for XMLRPC tests
  * Adjust PHP dependencies.
    php currently has a complicated version number as a result of a
    transition to PHP 8 that was started and then rolled back.
  * d/p/Record-Apache-error-log-for-unit-tests-and-show-it-during.patch:
    Add patch to display Apache error log in test diagnostics
  * d/p/Mark-XMLRPC-tests-as-flaky.patch:
    Add patch to treat tests based on php-xmlrpc as unreliable

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Dec 2021 20:33:29 +0000

libsoup2.4 (2.74.2-2) unstable; urgency=medium

  * Add libsoup2.4-common package for translations

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 16:04:43 -0500

libsoup2.4 (2.74.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 15:57:59 -0500

libsoup2.4 (2.74.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Allow building against php8
  * debian/control.in: Add php8 as an alternate dependency to php-xmlrpc

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Oct 2021 20:43:30 -0400

libsoup2.4 (2.74.0-3) unstable; urgency=medium

  * Drop vala patch since vala 0.54 is in Debian (Closes: #997243)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 23 Oct 2021 15:38:01 -0400

libsoup2.4 (2.74.0-2) unstable; urgency=medium

  * Add patch to revert commit applied for use with vala 0.53.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 19:13:26 -0400

libsoup2.4 (2.74.0-1) unstable; urgency=medium

  * New upstream release
  * Drop three patches applied in new release
  * Don't let debhelper 13.4+ make all the installed-tests executable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 26 Aug 2021 20:45:31 -0400

libsoup2.4 (2.72.0-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable, to unblock upload of GLib 2.68.x

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:06:06 +0100

libsoup2.4 (2.72.0-3) experimental; urgency=medium

  * d/p/tests-connection-test-Update-expected-events-for-GLib-2.6.patch. Fix
    test compatibility with glib 2.67.0

 -- Iain Lane <laney@debian.org>  Thu, 04 Mar 2021 22:05:29 +0000

libsoup2.4 (2.72.0-2) unstable; urgency=medium

  * Team upload
  * d/p/gitlab_tests_fix.patch:
    Update patch metadata to reflect it being applied upstream
  * Amend 2.71.1-1 changelog entry to reflect that patch fixing tests when
    run against glib-networking >= 2.65.90 (see #970935)
  * d/p/tests-ensure-we-use-an-absolute-path-for-apache-server-ro.patch:
    Add patch from upstream to fix Apache startup in some circumstances.
    This might make d/p/tests-Skip-tests-if-unable-to-start-Apache.patch
    unnecessary, but that patch was for an intermittent failure, so let's
    get more test results before removing it.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 16:46:52 +0100

libsoup2.4 (2.72.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 13:59:03 +0200

libsoup2.4 (2.71.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/gitlab_tests_fix.patch:
    - backport an upstream proposed change to fix the tests
      (Closes: #970935)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Sep 2020 10:27:08 +0200

libsoup2.4 (2.71.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * d/shlibs.local: Generate lockstep dependencies between binary packages.
    Upstream developers are not going to support mixing binary packages
    of different versions from the same source package, and neither should
    we; they all migrate to testing as a unit anyway.
  * Don't override libexecdir to libexec.
    This is the default now.

  [ Sebastien Bacher ]
  * New upstream release
  * debian/libsoup2.4-1.symbols:
    - refreshed the list of sumbols for the new version
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch:
    - removed, the fix is included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Aug 2020 13:58:53 +0200

libsoup2.4 (2.70.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Merge packaging changes from unstable
  * d/p/test-utils-Clarify-meaning-of-an-environment-variable.patch,
    d/p/tests-Skip-tests-if-unable-to-start-Apache.patch:
    Work around intermittent failure to start Apache for unit tests
  * Upload 2.70.x branch to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2020 09:43:38 +0000

libsoup2.4 (2.68.4-1) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream
  * Switch packaging branch to debian/unstable, upstream/2.68.x.
    Versions 2.69.x are already in debian/master and upstream/latest.
  * d/watch: Only watch for stable releases
  * d/p/skip-tls_interaction-test.patch, d/tests:
    Don't skip this test (suspected to be flaky) if an environment variable
    is set. Run it as an autopkgtest marked as flaky, to get an idea of
    how often it fails.
  * Standards-Version: 4.5.0
  * Replace non-standard pkg.libsoup2.4.noinsttests build-profile with
    noinsttest
  * libsoup2.4-1.docs: Normalize order of lines
  * Normalize order of (build-)dependencies (wrap-and-sort -a)
  * Wrap long lines in changelog entries: 2.62.2-2
  * Set field Upstream-Name in debian/copyright
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse

  [ Andreas Henriksson ]
  * Make libnss-myhostname (build-)dep only apply on linux (Closes: #947943)

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Feb 2020 21:07:01 +0000

libsoup2.4 (2.69.90-1) experimental; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Simon McVittie ]
  * New upstream release
    - Allow introspection in cross builds
    - Fixes to testing infrastructure
    - Require GLib 2.58, for g_canonicalize_filename()
  * Correct list of patches in previous changelog entry.
    d/p/tests-Disable-parallelism-for-XMLRPC-server-tests.patch
    turned out to be unnecessary and was dropped before upload.
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch,
    d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Drop, applied upstream

  [ Iain Lane ]
  * New upstream release:
    - Add new API to expose support for same-site cookies
    - Deprecate soup_date_to_timeval()
    - Fix TRACE method not being considered safe and idempotent internally
    - WebSockets: do not start the input source when IO is closing
  * Add new symbols for 2.69.90

  [ Andreas Henriksson ]
  * Make libnss-myhostname (build-)dep only apply on linux (Closes: #947943)

 -- Iain Lane <laney@debian.org>  Wed, 19 Feb 2020 14:04:37 +0000

libsoup2.4 (2.68.2-2) experimental; urgency=medium

  * Team upload
  * Upload to experimental for NEW processing
  * Install automated tests in a new libsoup2.4-tests binary package
  * d/tests/installed-tests: Run those tests
  * d/p/tests-Disable-parallelism-for-installed-tests-too.patch:
    Avoid running tests in parallel if they need a specific port number

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 14:50:18 +0100

libsoup2.4 (2.68.2-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch branch to debian/unstable.
    We should upload the fix for CVE-2019-17266 to unstable, but
    the debian/master branch already has a version waiting for NEW
    processing.
  * New upstream release (CVE-2019-17266) (Closes: #941912)
  * libsoup-gnome2.4-dev: Explicitly depend on gir1.2-soup-2.4.
    According to the GIR mini-policy, this is required because
    gir1.2-soup-2.4 contains SoupGNOME-2.4.typelib, corresponding to
    SoupGNOME-2.4.gir in libsoup-gnome2.4-dev. This dependency is not in
    fact strictly necessary, because libsoup-gnome2.4-dev depends on
    libsoup2.4-dev which in turn depends on gir1.2-soup-2.4, but Lintian
    doesn't look at recursive dependencies.
  * libsoup2.4-doc.links: Create symlinks to documentation in /usr/share/doc.
    The actual documentation files remain in /usr/share/gtk-doc/html,
    because they are technically a programmatic interface: other libraries
    that depend on libsoup2.4 and use gtk-doc will use that path to fix
    cross-references in their own documentation.
    There are symlinks in both /u/s/d/libsoup2.4-dev (the "main package"
    in Policy §12.3), and /u/s/d/libsoup2.4-doc (the traditional location
    for documentation).
  * libsoup2.4-doc: Add Recommends: libglib2.0-doc, for the cross-references.
    The libsoup2.4 documentation contains many cross-references to GLib,
    GObject and GIO documentation. Add symlinks in /usr/share/doc so that
    those cross-references can be followed, even in browsers that treat
    symlinks like directories for the purposes of resolving relative paths.
  * d/libsoup2.4-doc.doc-base: Use the symlinks in /usr/share/doc.
    This is functionally equivalent to what we already had, but silences
    a Lintian error.
  * Standards-Version: 4.4.1 (no changes required)
  * d/copyright: Update
  * d/p/xmlrpc-tests-Cope-with-GLib-2.62-TAP-output.patch:
    Add proposed patch to fix test failures with GLib 2.62
  * Explicitly build-depend on libapache2-mod-php, PHP 7 and Python 3.
    The script that checks for the required PHP version is written in
    Python 3 and specifically looks for a php7* module. It seems that in
    practice the dependency resolver used on unstable buildds will always
    select libapache2-mod-php anyway, but the resolver used on
    experimental buildds can select the -cgi or -fpm implementations,
    which are not detected, resulting in the necessary files for some of
    the installed-tests not being installed.
  * Add lintian overrides for the binary package names not precisely
    matching the SONAMEs.
    They're close enough to achieve the goal of the mechanically-generated
    naming convention, and changing them now (other than at the time of an
    upstream SONAME bump) seems like more disruption than it's worth.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Oct 2019 12:23:19 +0100

libsoup2.4 (2.68.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Bump Standards-Version to 4.4.0
  * Drop obsolete dh_strip dbgsym migration rule

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 28 Sep 2019 09:55:29 -0400

libsoup2.4 (2.68.1-1) experimental; urgency=medium

  [ Philip Chimento ]
  * debian/control.in: Add build dependency on libnss-myhostname, this
    should provide a way to resolve *.localhost which the HSTS tests depend
    on.
  * debian/patches/disable_buggy_test.patch: Dropped, the test passes now.

  [ Sebastien Bacher ]
  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Sep 2019 15:18:07 +0200

libsoup2.4 (2.68.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add a superficial autopkgtest for the -dev packages.
    This will detect bugs like #935944 in future.
  * libsoup2.4-dev: Add missing dependency on libbrotli-dev
    (Closes: #935944)

  [ Sebastien Bacher ]
  * New upstream release
  * debian/control.in:
    - libsoup2.4-dev depends also on zlib1g-dev now
  * debian/patches/disable_buggy_test.patch:
    - disabled some buggy tests following upstream's recommendation, at
      least until the next version where they plan to rework or drop those

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Sep 2019 15:09:30 +0200

libsoup2.4 (2.67.92-2) experimental; urgency=medium

  * debian/rules:
    - set the feature arguments to 'enabled'

 -- Sebastien Bacher <seb128@debian.org>  Wed, 21 Aug 2019 15:46:10 +0200

libsoup2.4 (2.67.92-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 13:57:06 +0200

libsoup2.4 (2.67.91-2) experimental; urgency=medium

  * debian/libsoup2.4-1.symbols:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 15:53:24 +0200

libsoup2.4 (2.67.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 09:19:30 +0200

libsoup2.4 (2.67.3-1) experimental; urgency=medium

  * debian/watch: Find unstable versions
  * New upstream release
  * debian/rules: Explicilty enable the new brotli support
  * debian/rules: 'doc' is renamed to 'gtk_doc' in meson_options.txt
  * debian/libsoup2.4-1.symbols: Add new symbols introduced w/this release

 -- Iain Lane <iain.lane@canonical.com>  Fri, 19 Jul 2019 11:00:24 +0100

libsoup2.4 (2.66.1-1) experimental; urgency=medium

  * New upstream release
    + Code cleanups
    + Fix random CI failures due to parallel apache tests
    + Meson build system improvements
  * Bump meson BD per upstream

 -- Iain Lane <laney@debian.org>  Tue, 09 Apr 2019 12:09:51 +0100

libsoup2.4 (2.66.0-1) experimental; urgency=medium

  * New upstream release
  * Drop the 2 patches to fix tests: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Mar 2019 06:18:51 -0400

libsoup2.4 (2.65.91-2) experimental; urgency=medium

  * Have libsoup2.4-dev depend on libpsl-dev & libsqlite3-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 19:19:55 -0500

libsoup2.4 (2.65.91-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Cherry-pick 2 patches to fix tests
  * debian/libsoup2.4-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 24 Feb 2019 10:41:21 -0500

libsoup2.4 (2.64.2-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 23:09:24 -0500

libsoup2.4 (2.64.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2018 17:15:41 +0100

libsoup2.4 (2.64.1-3) unstable; urgency=medium

  * Modify skip-tls_interaction-test.patch:
    - Don't run the unreliable test

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 11:20:37 -0400

libsoup2.4 (2.64.1-2) unstable; urgency=medium

  * Build-Depend on php for build tests
  * Drop obsolete dh_auto_test override
  * Drop obsolete Build-Depends on shared-mime-info
  * Add skip-tls_interaction-test.patch:
    - Skip an unreliable build test

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 08 Oct 2018 01:36:34 -0400

libsoup2.4 (2.64.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Sep 2018 11:20:40 -0400

libsoup2.4 (2.64.0-2) unstable; urgency=medium

  * Cherry-pick 6 commits with meson build fixes

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 17:58:53 -0400

libsoup2.4 (2.64.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build with meson
  * Release to unstable

  [ Iain Lane ]
  * Make the runtime directory with 0700 permissions
  * Use dh_auto_test not $(MAKE), since we're using meson now

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 09:33:53 -0400

libsoup2.4 (2.63.92-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 12:36:57 +0200

libsoup2.4 (2.63.90-1) experimental; urgency=medium

  * debian/{gbp.conf,control{,.in}}: Update for experimental.
  * New upstream release 2.63.90 (LP: #1786789)
    - Avoid unaligned memory accesses in WebSocket implementation
    - Bail out on cookie-jar calls with empty hostnames
    - Fix crash under soup_socket_new()
    - Fix critical warning in SoupSocket
    - Fix digest authentication with encoded URIs
    - Fixes to GObject-introspection
    - Fixes to the simple-httpd example
    - Fixes to xmlrpc-server test with PHP >= 7.2 and related
    - Many Coverity-found code fixes
    - Set default cookie path for NULL origins
    - Use atomic-refcounting in classes that are not using GObject-refcounting
    - Use base domain to decide if cookies are third-party
    - Use libpsl for the SoupTLD API instead of shipping a copy of the
      public-suffix list
  * debian/control.in:
    - Build-Depend on libpsl-dev per upstream.
    - Rules-Requires-Root: no - we don't need to be root to build/test.
    - Standards-Version → 4.2.0
  * debian/patches: Drop, included from upstream.

 -- Iain Lane <laney@debian.org>  Fri, 10 Aug 2018 13:29:19 +0100

libsoup2.4 (2.62.2-2) unstable; urgency=high

  * debian/patches/0001-cookie-jar-bail-if-hostname-is-an-empty-string.patch,
    debian/patches/0002-Add-soup_cookie_jar_get_cookies-with-empty-hostname-.patch:
    Cherry-pick two patches from upstream to fix an out of bounds access in
    the cookie jar (CVE-2018-12910).

 -- Iain Lane <laney@debian.org>  Thu, 28 Jun 2018 19:57:42 +0100

libsoup2.4 (2.62.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 07 May 2018 10:59:55 -0400

libsoup2.4 (2.62.1-1) unstable; urgency=medium

  * New upstream release
  * Drop cookie-jar-use-base-domain.patch: Applied in new release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 10 Apr 2018 14:47:57 -0400

libsoup2.4 (2.62.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable
  * Add cookie-jar-use-base-domain.patch:
    - proposed patch to treat cookies from the base domain as first party

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 14:31:25 -0400

libsoup2.4 (2.61.90-1) experimental; urgency=medium

  * New upstream release
  * debian/libsoup2.4-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 05 Feb 2018 12:42:17 -0500

libsoup2.4 (2.60.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Jan 2018 09:24:30 -0500

libsoup2.4 (2.60.2-2) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-soup-2.4 Provides gir1.2-soupgnome-2.4, reflecting the fact
    that it contains both Soup-2.4.typelib and SoupGNOME-2.4.typelib.
  * Drop obsolete Provides on gir1.2-soup-gnome-2.4: nothing depends on
    it, and it does not match the naming scheme used in the g-i
    mini-policy.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Dec 2017 18:08:22 -0500

libsoup2.4 (2.60.2-1) unstable; urgency=medium

  * New upstream release

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Oct 2017 23:21:09 +0100

libsoup2.4 (2.60.1-1) unstable; urgency=medium

  * New upstream release (LP: #1717216)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Oct 2017 10:12:43 -0400

libsoup2.4 (2.60.0-1) unstable; urgency=medium

  * New upstream translations release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Sep 2017 11:03:12 -0400

libsoup2.4 (2.59.90.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied in new release
  * debian/libsoup2.4-1.symbols: Add new symbols
  * debian/control.in:
    - Build-depend on apache2 and php-xmlrpc for build tests
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 20:59:56 -0400

libsoup2.4 (2.56.1-1) unstable; urgency=high

  * New upstream release.
    + CVE-2017-2885: Fixed a chunked decoding buffer overrun that
      could be exploited against either clients or servers.
      Closes: #871650.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 10 Aug 2017 18:29:43 +0200

libsoup2.4 (2.56.0-2) unstable; urgency=medium

  * Team upload
  * Add patches from upstream 2.57.1 to make freeing a SoupSession
    thread-safe, fixing one of several root causes of ostree test
    failures (see #827473 and
    https://github.com/ostreedev/ostree/issues/601).

 -- Simon McVittie <smcv@debian.org>  Wed, 21 Dec 2016 17:10:16 +0000

libsoup2.4 (2.56.0-1) unstable; urgency=medium

  * New upstream release.
  * Install typelib files into multiarch paths.
  * Mark gir1.2-soup-2.4, libsoup2.4-dev and libsoup-gnome2.4-dev as
    Multi-Arch: same and libsoup2.4-doc as Multi-Arch: foreign.
  * Bump debhelper compat level to 10.
  * Update debian/libsoup2.4-1.symbols.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Sep 2016 19:50:52 +0200

libsoup2.4 (2.55.90-1) unstable; urgency=medium

  * New upstream beta release.
  * Convert from cdbs to dh.
  * Enable all hardening build flags.
  * Pass --as-needed to the linker to avoid unnecessary shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 14:30:33 +0200

libsoup2.4 (2.54.1-1) unstable; urgency=medium

  * New upstream release. Really closes: #821274, the previous upload was
    actually missing the patch.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 14:25:24 +0200

libsoup2.4 (2.54.0.1-2) unstable; urgency=medium

  * Fix SoupAuthClass size to undo ABI break with 2.54.0. Patch cherry-picked
    from upstream Git. (Closes: #821274)

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Apr 2016 18:35:49 +0200

libsoup2.4 (2.54.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop libsoup2.4-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libsoup2.4-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.
  * Add Homepage: field.
  * Use dbus-run-session to run the test suite and drop the no longer needed
    Build-Depends on xvfb, xauth and dbus-x11.
  * Switch from heimdal to krb5, which appears to be the more widely used
    Kerberos implementation.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 03:36:35 +0200

libsoup2.4 (2.53.92-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7
  * Add heimdal-dev build-dependency to enable GSS-Negotiate support
  * Update debian/libsoup2.4-1.symbols with three new additions

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 21:02:06 +0100

libsoup2.4 (2.52.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove outdated comment from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 23:13:41 +0100

libsoup2.4 (2.52.1-1) unstable; urgency=medium

  [ Iain Lane ]
  * Run the testsuite verbosely to get info about failures

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete Conflicts and Replaces from pre-wheezy.

  [ Steven Chamberlain ]
  * Re-enable testsuite on non-Linux platforms.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 21:33:22 +0200

libsoup2.4 (2.52.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Track stable releases in debian/watch.

  [ Andreas Henriksson ]
  * New upstream release.
  * Add valac build-dependency for vapigen
    - soup now generates its own vapi
  * libsoup2.4-dev: ship generated vala api libsoup-2.4.vapi
  * Update debian/libsoup2.4-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 27 Sep 2015 13:57:47 +0200

libsoup2.4 (2.50.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 May 2015 14:14:30 +0200

libsoup2.4 (2.50.0-1) experimental; urgency=medium

  * New upstream release 2.50.0
    + Updated translations

 -- Iain Lane <laney@debian.org>  Thu, 02 Apr 2015 16:59:34 +0100

libsoup2.4 (2.49.92-1) experimental; urgency=medium

  * New upstream release 2.49.92
    + Fixed an NTLM problem that caused spurious "Authentication Failed"
      errors in evolution-ews.

 -- Iain Lane <laney@debian.org>  Wed, 18 Mar 2015 16:49:45 +0000

libsoup2.4 (2.49.91.1-1) experimental; urgency=medium

  * New upstream release 2.49.91.1
  * Add new symbols for this release

 -- Iain Lane <laney@debian.org>  Wed, 04 Mar 2015 16:48:30 +0000

libsoup2.4 (2.49.1-1) experimental; urgency=medium

  * debian/watch: Also consider unstable versions, for exp
  * New upstream release 2.49.1:
    + Fixed a bug in the SoupMessage:event signal that broke evolution's
      ability to connect to https hosts with "bad" certificates.
    + Fixed a case where the async codepaths could potentially block on a
      synchronous write
    + Fixed the symbol soup_server_set_ssl_cert_file() to get exported, and
      added soup_server_get_uris() to the documentation.
    + Improved a bunch of introspection annotations
  * Re-add change which was accidentally dropped: Use dh-autoreconf to update
    for new ports.
  * Bump Standards-Version to 3.9.6, no further changes required.
  * Add new symbol soup_server_set_ssl_cert_file exported in this version.

 -- Iain Lane <laney@debian.org>  Wed, 26 Nov 2014 11:25:57 +0000

libsoup2.4 (2.48.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 20:51:27 +0200

libsoup2.4 (2.47.4-1) experimental; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 05 Sep 2014 22:35:44 +0200

libsoup2.4 (2.46.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 16:01:27 +0200

libsoup2.4 (2.46.0-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 22:30:05 +0100

libsoup2.4 (2.45.90-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Bump glib b-d to 2.39.90, needed for the test suite now that it has
      switch to the TAP driver.
  * debian/patches/01_tests_debug_output.patch:
    + Dropped, the extra debug output confused the TAP driver and makes it
      think some tests fail.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Feb 2014 23:50:51 +0100

libsoup2.4 (2.45.3-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control.in:
    + Standards-Version is 3.9.5, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Feb 2014 18:52:42 +0100

libsoup2.4 (2.44.2-1) unstable; urgency=low

  * New upstream release. (Closes: #731107)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 02 Dec 2013 19:05:37 +0100

libsoup2.4 (2.44.1-1) unstable; urgency=low

  * New upstream release
  * Drop patches crippling test-cases which has now been fixed upstream:
    - 11-cache-test.patch
    - 12-timeout-test.patch
  * Update debian/libsoup2.4-1.symbols with 4 added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 22:08:50 +0200

libsoup2.4 (2.42.2-6) unstable; urgency=low

  * debian/rules:
    + Temporarily disable the test suite on !linux as one test hangs there.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Jun 2013 09:32:26 +0200

libsoup2.4 (2.42.2-5) unstable; urgency=low

  * debian/patches/11-cache-test.patch:
    + Don't fail if we leak the GInputStream. This looks like a race
      condition in the test case.
  * debian/patches/12-timeout-test.patch:
    + Ignore the results of this test as it currently fails on sparc
      where there's no valgrind.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 07 Jun 2013 22:22:06 +0200

libsoup2.4 (2.42.2-4) unstable; urgency=low

  * debian/patches/01_tests_debug_output.patch:
    + Make the test suite print debug output.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 28 May 2013 01:57:39 +0200

libsoup2.4 (2.42.2-3) unstable; urgency=low

  * Don't run the test-suite via DEB_MAKE_CHECK_TARGET but use a separate make
    target. This way we can avoid having to run the complete build under xvfb
    and we can set HOME and XDG_RUNTIME_DIR to a writable location.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 12:46:27 +0200

libsoup2.4 (2.42.2-2) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release.
  * debian/control:
    - Build-Depends on libglib2.0-dev >= 2.36 according to
      configure.ac.
    - Bump Standards-Version to 3.9.4.

  [ Michael Biebl ]
  * Upload to unstable.
  * Track stable releases again.
  * Make test-suite failures fatal again, so regressions don't go unnoticed.
  * Add Build-Depends on dbus, dbus-x11, xvfb, xauth and curl for running the
    test-suite.
  * Run make under xvfb so dbus-launch works properly.

 -- Michael Biebl <biebl@debian.org>  Fri, 10 May 2013 06:01:24 +0200

libsoup2.4 (2.42.0-1) experimental; urgency=low

  * debian/control.in:
    + Remove spurious period in the description. Closes: #703757.
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 25 Mar 2013 16:07:05 +0100

libsoup2.4 (2.41.92-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 18 Mar 2013 20:59:07 +0100

libsoup2.4 (2.41.91-1) experimental; urgency=low

  * New upstream release.
  * debian/libsoup2.4-doc.examples:
    + Ship examples in libsoup2.4-doc.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2013 19:20:40 +0100

libsoup2.4 (2.41.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/libsoup2.4-1.symbols:
      - Updated for new symbols. Many symbols have been removed, but they
        were not exported in public headers, so nobody should be using them
        anyway.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 20:42:03 +0100

libsoup2.4 (2.40.1-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 23 Oct 2012 15:27:18 +0200

libsoup2.4 (2.39.92-1) experimental; urgency=low

  * New upstream release.
  * Track unstable versions in the experimental branch.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.33.14) so we don't pick up
    the version from unstable. This will also generate a tight enough
    dependency. Closes: #687388

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Sep 2012 21:05:44 +0200

libsoup2.4 (2.39.90-1) experimental; urgency=low

  * New upstream release (Packaging from 2.39.90-0ubuntu1)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 26 Aug 2012 15:41:50 +0200

libsoup2.4 (2.38.1-2) unstable; urgency=low

  * Make test suite failures non-fatal so we don't block testing migration due
    to failing builds on kfreebsd-* and sparc. Once #643906 and #663056 are
    fixed this change should be reverted again.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Apr 2012 20:50:12 +0200

libsoup2.4 (2.38.1-1) unstable; urgency=low

  * New upstream release:
    - Fixed a situation where soup_connection_disconnect() could end up
      calling g_object_unref(NULL) when an idle connection was closed
    - Fixed two warnings when cancelling an in-progress
      soup_socket_connect_async()
    - Fixed a crash when disposing a SoupServer with open connections
    - Fixed the SoupSession:ssl-use-system-ca-file property to get turned off
      (rather than on) when you set it to FALSE... Also fixed up the property
      notifications around the various certificate-verification properties
      (ssl-ca-file, ssl-use-system-ca-file, and tls-database).
    - Fixed SoupSession to not leak paused SoupMessages that were still in
      progress when it was unreffed.
  * debian/copyright: Move to copyright 1.0 format.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Apr 2012 00:08:43 +0200

libsoup2.4 (2.38.0-1) unstable; urgency=low

  * New upstream release.
  * Bump minimum required version of glib-networking to 2.32.0.
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 07:38:04 +0200

libsoup2.4 (2.37.92-1) experimental; urgency=low

  * New upstream development release.
  * debian/libsoup2.4-1.symbols: Add new symbol.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 02:22:10 +0100

libsoup2.4 (2.37.91-1) experimental; urgency=low

  * New upstream development release.
  * debian/libsoup2.4-1.symbols: Add new symbol.
  * debian/control.in: Bump Build-Depends on debhelper to (>= 9).

 -- Michael Biebl <biebl@debian.org>  Thu, 08 Mar 2012 18:41:28 +0100

libsoup2.4 (2.37.90-1) experimental; urgency=low

  * New development release.
  * debian/libsoup2.4-1.symbols:
  - updated for the new version
  * debian/control.in:
  - Bump build-dep and dep on libglib2.0-dev to 2.31.7, following upstream
    change

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 03 Mar 2012 16:54:11 -0300

libsoup2.4 (2.36.1-2) UNRELEASED; urgency=low

  [ Allison Randal ]
  * Transition to multiarch. Thanks to Allison Randal for the patch!
    (Closes: #651018)

  [ Michael Biebl ]
  * Change section of gir1.2-soup-2.4 to introspection.
  * Remove obsolete Replaces.

  [ Josselin Mouette ]
  * Remove MA: same statements for -dev packages, because they depend on
    gir packages which are not MA compatible.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Dec 2011 22:25:30 +0100

libsoup2.4 (2.36.1-1) unstable; urgency=low

  [ Martin Pitt ]
  * debian/watch: Switch to .xz tarballs.
  * New upstream release.
  * debian/control.in: Bump glib build dependency to >= 2.30.0, as per
    configure.ac.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 18:17:21 +0100

libsoup2.4 (2.36.0-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/02_tls.patch, fixed upstream: Default to TLS for
    https connections, and fall back to SSLv3 on failure.
  * debian/libsoup2.4-1.symbols: Update symbols file.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 Sep 2011 07:20:24 +0200

libsoup2.4 (2.34.3-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2011-2524: SoupServer directory traversal vulnerability.
      Closes: #635837
  * debian/watch: Switch to .bz2 tarballs.
  * debian/patches/01_memleaks.patch: Remove, merged upstream.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Urgency high for the security fix.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Jul 2011 03:44:00 +0200

libsoup2.4 (2.34.2-2) unstable; urgency=low

  * 01_memleaks.patch: stolen from upstream git. Fix a few memory leaks.
  * 02_tls.patch: new patch. Stop forcing SSLv3, which breaks websites
    that properly support TLS only. This still breaks a few websites,
    but at least paypal has been fixed to support TLS. Closes: #579429.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Jun 2011 17:23:27 +0200

libsoup2.4 (2.34.2-1) unstable; urgency=low

  * New upstream release.
  * debian/libsoup2.4-1.symbols: Add new symbol from this upstream release.
  * debian/control.in: Update Vcs-* fields, package/branch is for unstable
    now.
  * debian/watch: Fix syntax to actually catch the latest version.

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 May 2011 17:27:24 +0200

libsoup2.4 (2.34.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Andreas Henriksson ]
  * New upstream release.
  * Fix multiple lintian warnings on description-synopsis-starts-with-article
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2011 12:19:57 +0200

libsoup2.4 (2.33.92-1) experimental; urgency=low

  * New upstream release.
    + debian/libsoup2.4-1.symbols:
      - Updated.
    + debian/control.in:
      - Update dependencies and build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 09:41:34 +0000

libsoup2.4 (2.33.90-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in,
      debian/rules:
      - Let CDBS call dh_girepository for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:43:06 +0000

libsoup2.4 (2.33.6-1) experimental; urgency=low

  * debian/control.in:
    + Let libsoup2.4-dev replace gir-repository-dev without a version.
      We don't want to drop libsoup bindings from girepository until
      Squeeze is released, and the version is useless until we do that.
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:05:09 +0000

libsoup2.4 (2.33.5-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jan 2011 00:11:22 +0000

libsoup2.4 (2.33.4-1) experimental; urgency=low

  * debian/control.in:
    - Remove gir-repository-dev build dependency, no longer needed.
    - Standards-Version is 3.9.1, no changes needed.
  * New upstream development release.
    + debian/control.in:
      - Build-depend/Depend on glib-networking.
      - Stop build depending on libgnutls, we use glib-networking now.
    + debian/rules:
      - Make the shlibs always depend on the latest upstream version.
        We have symbols file anyway, and manually bumping the shver is
        error prone.
    + debian/libsoup2.4-1.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 08 Jan 2011 02:25:28 +0000

libsoup2.4 (2.32.2-1) experimental; urgency=low

  * New upstream release.
    - debian/libsoup2.4-0.symbols:
      + Updated.
    - debian/rules:
      + Update the shver.
  * Update to the new gir policy:
    - Rename gir1.0-soup-2.4 to gir1.2-soup-2.4.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/rules:
    - Call dh_girepository to get proper dependencies on the
      gir package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 16:26:33 +0100

libsoup2.4 (2.31.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in,
      debian/libsoup2.4-dev.install,
      debian/libsoup-gnome2.4-dev.install,
      debian/gir1.0-soup-2.4.install:
      - Add GObject-Introspection support.
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 21:38:03 +0200

libsoup2.4 (2.30.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Make test suite errors fatal for the build.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/libsoup2.4-1.symbols,
      debian/rules:
      - Updated for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 09:30:37 +0200

libsoup2.4 (2.30.0-1) unstable; urgency=low

  [ David Weinehall ]
  * New upstream release.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Fix SOVERSION calculation.
    - Don't pass additional flags to dh_shlibdeps for the -dev packages.
      That's just wrong, but luckily they weren't depending on
      ${shlibs:Depends} so it had no effect.
    - Enable the test suite during the build, but don't make it fatal yet.
  * debian/control.in:
    - Build dep on shared-mime-info, needed for one test to pass.
    - Reorder build-deps a bit.

 -- David Weinehall <tao@debian.org>  Tue, 30 Mar 2010 01:13:16 +0300

libsoup2.4 (2.29.91-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Feb 2010 10:33:41 +0100

libsoup2.4 (2.29.90-1) unstable; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libsoup2.4-1.symbols:
      - Update for new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Feb 2010 16:55:02 +0100

libsoup2.4 (2.29.6-1) unstable; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 08:17:46 +0100

libsoup2.4 (2.29.5-2) unstable; urgency=low

  * debian/libsoup*.symbols:
    + Fix symbol files.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 10:23:15 +0100

libsoup2.4 (2.29.5-1) unstable; urgency=low

  * New upstream development release (Closes: #564698):
    + debian/rules:
      - Update SHVER to 2.29.5 for new API.
    + debian/rules,
      debian/libsoup*.symbols:
      - Add symbol files.
    + debian/rules:
      - Remove check-dist.mk include to upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 Jan 2010 09:45:56 +0100

libsoup2.4 (2.29.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.
      - Update SHVER to 2.29.3 for new API.
    + debian/patches/redirect_head.patch,
      debian/patches/sqlite_strcmp_null_string.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Dec 2009 16:23:28 +0100

libsoup2.4 (2.28.1-3) unstable; urgency=low

  * debian/patches/redirect_head.patch:
    - Added. Don't change HEAD to GET on 303 redirect (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 07 Nov 2009 15:04:26 +0000

libsoup2.4 (2.28.1-2) unstable; urgency=low

  * debian/patches/sqlite_strcmp_null_string.patch:
    - Backport change from git to fix a crash if some values in the sqlite
      database are null.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 16:54:59 +0200

libsoup2.4 (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update gnutls build dependency to >= 2.1.7.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Oct 2009 07:49:51 +0200

libsoup2.4 (2.28.0-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/patches/01_improve_cookies_performance.patch:
  - patch from upstream to avoid writing too much to the disk when
    handling cookies (Closes: #530964)

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/patches/01_improve_cookies_performance.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Sep 2009 10:15:44 +0200

libsoup2.4 (2.27.92-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Bump shver as there are new APIs.
  * Tighten libsoup-gnome2.4-dev dependency on libsoup2.4-dev to avoid issues
    if something is built with different libsoup2.4 and libsoup-gnome2.4
    versions.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules:
      - Update SHVER to 2.27.92.
  * debian/control.in:
    + Standards-Version is 3.8.3, no changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2009 07:35:23 +0200

libsoup2.4 (2.27.91-2) experimental; urgency=low

  * debian/control.in:
  - add missing Build-Dep on libgnome-keyring-dev (Closes: #543556)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 Aug 2009 11:02:06 -0300

libsoup2.4 (2.27.91-1) experimental; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Aug 2009 20:53:20 -0300

libsoup2.4 (2.27.90-1) experimental; urgency=low

  * New upstream release.
    - Build depend on glib 2.21.3.
    - Also bump the -dev package minimun glib dependency.
  * Standards-Version is 3.8.2, no changes needed.
  * Add Vcs-* fields.
  * Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 12 Aug 2009 22:29:48 +0200

libsoup2.4 (2.27.4-1) unstable; urgency=low

  * New upstream release
  - debian/patches/001_avoid_crash_on_msg_cancel.diff:
  - dropped; applied upstream

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 24 Jul 2009 15:15:04 +0100

libsoup2.4 (2.26.2-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 20 May 2009 14:29:35 -0300

libsoup2.4 (2.26.1-1) unstable; urgency=low

  [ Gustavo Noronha Silva ]
  * Upload to unstable
  * debian/patches/001_avoid_crash_on_msg_cancel.diff:
  - avoids crashing when a message is cancelled during a restarted
    callback; see http://bugzilla.gnome.org/show_bug.cgi?id=580193)

  [ Josselin Mouette ]
  * Add libglib2.0-doc to b-d-i to ensure proper xrefs.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 25 Apr 2009 11:50:05 -0300

libsoup2.4 (2.26.0-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * debian/control.in:
  - new package libsoup-gnome2.4-1, for the GNOME support library to live
    in
  - added libproxy-dev as build-dependecy; it's needed to build the GNOME
    support
  * debian/rules:
  - re-enable gtk-doc support, and enable GNOME support

  Changes borrowed from Ubuntu (thanks):
  * debian/control.in, libsoup-gnome2.4-dev:
  - also split dev package, and add nice description of what the GNOME
    support library is
  * debian/rules:
  - correctly set shlib arguments for the various packages
  * debian/control.in:
  - added build-dependencies on libgconf2-dev, and libsqlite3-dev, needed
    by the GNOME support libraries
  * debian/libsoup2.4-dev.install:
  - adapted to only install non-GNOME files

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/watch: Don't uupdate
  * Add debug packages for libsoup and libsoup-gnome. Closes: #519052.
  * debian/copyright: refer to LGPL-2 rather than LGPL'
  * debian/control.in: fix typo s/GTK/GTK+/
  * debian/control.in: make libsoup-gnome2.4-dev short description
    different than libsoup2.4-dev one
  * debian/copyright: Add missing copyright holder.

  [ Josselin Mouette ]
  * Only ship one debug package, there’s no point in splitting it in
    two.

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Mar 2009 07:19:52 +0100

libsoup2.4 (2.25.91-1) experimental; urgency=low

  * New upstream development release

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 17 Feb 2009 16:53:14 -0300

libsoup2.4 (2.24.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 17 Feb 2009 15:13:27 -0300

libsoup2.4 (2.24.3-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Jan 2009 09:25:05 +0100

libsoup2.4 (2.24.2.1-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Nov 2008 20:39:30 +0100

libsoup2.4 (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/libsoup2.4-doc.doc-base: fix section.

  [ Andreas Henriksson ]
  * New upstream release.
    - drop patches/01_default-auth-digest-algorithm.patch, applied upstream.

  [ Josselin Mouette ]
  * Make the dependency on libglib2.0-dev match the build-dependency.
  * Bump shlibs to 2.23.91.
  * Fix spelling of GTK+ in the descriptions.

 -- Josselin Mouette <joss@debian.org>  Sun, 16 Nov 2008 18:38:32 +0100

libsoup2.4 (2.4.1-2) unstable; urgency=low

  * debian/patches/01_default-auth-digest-algorithm.patch:
    + Patch from upstream SVN to use MD5 as default auth digest algorithm
      if the server doesn't provide one.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 01 Aug 2008 11:29:21 +0200

libsoup2.4 (2.4.1-1) unstable; urgency=low

  * New upstream release with API additions:
    + debian/rules:
      - Bump shlibs to >= 2.4.1.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Apr 2008 19:27:18 +0200

libsoup2.4 (2.4.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules:
      - Remove check-dist include, upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:18:07 +0100

libsoup2.4 (2.3.4-1) experimental; urgency=low

  * New upstream release.
  * debian/libsoup2.4-doc.doc-base:
    + Use libsoup-2.4 as document name to not conflict with libsoup-2.2-doc
      anymore.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 07:02:14 +0100

libsoup2.4 (2.3.2-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs to >= 2.3.2.
    + debian/control.in,
      debian/libsoup2.4-doc.doc-base:
      - Replace libsoup2.2-doc (<< 2.2.105) as 2.2.105 and above are
        installable at the same time. Also adjust documentation path.
    + debian/control.in,
      debian/libsoup2.4-1.install:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 06:44:04 +0100

libsoup2.4 (2.3.0.1-1) experimental; urgency=low

  * Mention Red Hat, Novell, and Ximian copyrights and copyright years in the
    copyright file; fix LGPL version number to be version 2 instead of version
    2 or later; thanks Martin Pitt; drop useless individual authors
    information (not holding copyright).
  * Set GNOME_MODULE to libsoup.
  * New upstream release; API additions.
    - Bump shlibs to >= 2.3.0.

 -- Loic Minier <lool@dooz.org>  Fri, 25 Jan 2008 13:33:56 +0100

libsoup2.4 (2.3.0~r1050-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Renamed source package to libsoup2.4, changed all binary package names and
    updated everything for libsoup 2.3.
  * Upload to experimental, add check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 12:22:43 +0100

libsoup (2.2.104-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Nov 2007 05:47:12 +0100

libsoup (2.2.103-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes memory corruption in SoupSessionAsync that caused
      rhythmbox to crash (Closes: #446288).

 -- Sebastian Dröge <slomo@debian.org>  Sun, 28 Oct 2007 21:35:22 +0100

libsoup (2.2.102-1) unstable; urgency=low

  * New upstream release; no API change; fixes non-SSL build, Debian not
    affected.
  * Wrap build-deps and deps.
  * Don't override DEB_SHLIBDEPS_INCLUDE_libsoup2.2-dev and
    DEB_DH_MAKESHLIBS_ARGS_ALL completely.

 -- Loic Minier <lool@dooz.org>  Fri, 19 Oct 2007 11:38:44 +0200

libsoup (2.2.101-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless upstream version computation.
  * Use full URL in copyright.
  * Don't include autotools.mk as it's already included by gnome.mk.

  [ Sebastian Dröge ]
  * New upstream release with no API changes:
    + debian/control.in:
      - Build depend on libglib2.0-dev (>= 2.12.0).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2007 08:15:12 +0200

libsoup (2.2.100-1) unstable; urgency=medium

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream stable release; bug fixes.
    - Fix handling of NUL terminated status lines; GNOME #406997;
      closes: #410638.

 -- Loic Minier <lool@dooz.org>  Mon, 12 Feb 2007 16:59:55 +0100

libsoup (2.2.99-1) unstable; urgency=low

  * New upstream stable release; no API nor ABI change; stricter header
    parsing and testsuite, plug for a small memory leak, bug fix, doc fix.
    - Do not use the upstream version for shlibs, set them to >= 2.2.98.
    - Drop patch 01_parse_headers_DoS, fixed differently upstream.

 -- Loic Minier <lool@dooz.org>  Tue,  9 Jan 2007 09:23:51 +0100

libsoup (2.2.98-2) unstable; urgency=high

  * 01_parse_headers_DoS.patch: new patch, fixes a remote denial of
    service vulnerability in rhythmbox - and probably anything using
    libsoup's HTTP server code. Closes: #405197.

 -- Josselin Mouette <joss@debian.org>  Tue,  2 Jan 2007 18:42:12 +0100

libsoup (2.2.98-1) unstable; urgency=low

  * New upstream stable release; no API change; XML-RPC minor syntax support
    addition, memory leak fix, cleanups.

 -- Loic Minier <lool@dooz.org>  Tue, 21 Nov 2006 10:50:41 +0100

libsoup (2.2.97-1) unstable; urgency=low

  * Set Maintainer to the Debian GNOME team.
  * New upstream release; with an API addition.
    - Bump shlibs to >= 2.2.97.

 -- Loic Minier <lool@dooz.org>  Tue,  7 Nov 2006 23:48:38 +0100

libsoup (2.2.96-1) unstable; urgency=low

  * New upstream release, with API additions.
  * Add a doc-base document for the libsoup documentation, based on suggestion
    by Thadeu Cascardo.
  * Include the list of features in the descriptions and enhance descriptions
    a little.

 -- Loic Minier <lool@dooz.org>  Sat, 29 Jul 2006 12:41:59 +0200

libsoup (2.2.95.1-1) unstable; urgency=low

  * Add watch file.
  * Merge with 2.2.95.1-0ubuntu1.
    - New upstream release with API additions, and API changes.  The changes
      are in parts of the API which were considered unusable.
  * Stop shipping *.la files as evolution-data-server doesn't do so anymore
    and remove the calculation of *.la Dependencies introduced in 2.2.93-2.
  * Really use ${binary:Version} as I failed doing so in 2.2.93-2.
  * Cleanup dependencies of libsoup2.2-doc.

 -- Loic Minier <lool@dooz.org>  Fri, 14 Jul 2006 11:55:16 +0200

libsoup (2.2.95.1-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - 2.2.95:
      - Even more fixes to XML-RPC, found by the new XML-RPC regression test.
        This includes some API changes that I don't feel guilty about, because
        the code totally didn't work at all before.
      - Fixed a bug in soup_mktime_utc()
    - 2.2.95.1:
      - (2.2.95 was identical to 2.2.95.1. The only difference is that the
        shared library version was belatedly bumped from 8.2.0 to 8.3.0 to
        reflect	the API "additions")

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Tue, 11 Jul 2006 18:00:23 +0200

libsoup (2.2.94-0ubuntu1) edgy; urgency=low

  * New upstream release:
    - Various fixes to the XML-RPC code (which apparently had not actually
      ever worked before)
    - Added client and server API tutorials to the docs
    - auth-test now uses a local Apache 2.2 install, if possible, rather than
      depending on files that used to be on an old Ximian web server but
      haven't been anywhere for a ong time.
  * Resynchronized with Debian, only Ubuntu changes are:
    - debian/patches/02_xmlrpc_pointer.patch,
      debian/patches/03_xmlrpc_array.patch: Distro fixes.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu,  6 Jul 2006 09:55:02 +0200

libsoup (2.2.93-3) unstable; urgency=medium

  * Build-depend on libgnutls-dev (>= 1.4.0) since the broken libgnutls-dev
    Provide is here for a while. (Closes: #370387)
  * Depend on libgnutls-dev (>= 1.4.0) due to the above change.
  * Build-conflict and conflict with libgnutls11-dev for additional safety, as
    I'm not sure how the lack of support for versionned Provides might behave
    here.

 -- Loic Minier <lool@dooz.org>  Sat, 24 Jun 2006 16:47:24 +0200

libsoup (2.2.93-2) unstable; urgency=low

  * Use a new la:Depends substvar generated in binary-predeb/libsoup2.2-dev by
    debian/la-deps from debian/libsoup2.2-dev/**/*.la to compute *.la file
    dependencies.
  * Remove the hardcoded dependencies added in 2.2.7-1 due to dependency_libs
    in *.la files: libgcrypt11-dev, libgpg-error-dev, libtasn1-2-dev
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${binary:Version}.
  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Sun, 18 Jun 2006 20:36:21 +0200

libsoup (2.2.93-1) unstable; urgency=low

  * New upstream release with API additions.

 -- Loic Minier <lool@dooz.org>  Tue, 30 May 2006 15:30:36 +0200

libsoup (2.2.92-1) unstable; urgency=low

  * New upstream release, no API changes.
    - Remove chmod fix for the permissions of the pkg-config file
      (fixed-upstream).
      [debian/rules]

 -- Loic Minier <lool@dooz.org>  Thu, 13 Apr 2006 12:01:42 +0200

libsoup (2.2.91-2) unstable; urgency=low

  * Compute the upstream version from the Debian version by removing anything
    after and including the last dash; this should fix permit binNMUs
    versions. (Closes: #359652)
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Tue, 28 Mar 2006 15:00:09 +0200

libsoup (2.2.91-1) unstable; urgency=low

  * New upstream release with API additions.
    - Bump up libglib2.0-dev build-dep to >= 2.6.0.
      [debian/control, debian/control.in]
    - Drop TODO.
      [debian/docs]
  * Add empty patches dir.
    [debian/patches]

 -- Loic Minier <lool@dooz.org>  Fri, 10 Mar 2006 12:22:16 +0100

libsoup (2.2.7-2) unstable; urgency=low

  * Anchor "Version:" regexp in dpkg-parsechangelog and fix shlibs.
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 17:12:46 +0100

libsoup (2.2.7-1) unstable; urgency=low

  * Hijack package, set myself as Maintainer, GNOME team uploads.
    [debian/control, debian/control.in, debian/rules]
  * New upstream release.
    - Fixes 100% CPU usage. (Closes: #351713)
  * Bump up Standards-Version to 3.6.2.
    [debian/control, debian/control.in]
  * Add CDBS' utils.
    [debian/rules]
  * Repair and cleanup computation of SOVERSION.
    [debian/rules]
  * Add ${misc:Depends} to Depends.
    [debian/control, debian/control.in]
  * Build-depend and depend on libgnutls-dev instead of libgnutls11-dev.
    (Closes: #335757)
    [debian/control, debian/control.in]
  * Downgrade the Recommends dependency of libsoup-doc on libsoup-dev to a
    Suggests.
    [debian/control, debian/control.in]
  * Drop obsolete files.
    [debian/libsoup2.2-doc.files, debian/libsoup2.2-dev.files, debian/dirs]
  * Don't overwrite DEB_CONFIGURE_EXTRA_FLAGS and clean it up.
    [debian/rules]
  * Update FSF address, update AUTHORS list, and clarify Copyright versus
    License.
    [debian/copyright]
  * Let libsoup-dev depend on zlib1g-dev to honor the pkg-config link flags.
    [debian/control, debian/control.in]
  * Let libsoup-dev depend on libgcrypt11-dev, libgpg-error-dev,
    libtasn1-2-dev to honor the libtool dependency_libs line.
    [debian/control, debian/control.in]
  * Fix permissions of .pc files.
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 09:53:41 +0100

libsoup (2.2.6-1) unstable; urgency=low

  * New upstream release
  * bump package name: libsoup2.2-8

 -- Takuo KITAME <kitame@debian.org>  Sat, 10 Sep 2005 10:49:48 +0900

libsoup (2.2.3-2) unstable; urgency=low

  * -dev: depends on libgnutls11-dev, libxml2-dev (closes: #268037)

 -- Takuo KITAME <kitame@debian.org>  Thu, 31 Mar 2005 17:34:29 +0900

libsoup (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Tue, 29 Mar 2005 10:54:50 +0900

libsoup (2.2.2-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Fri,  4 Feb 2005 14:19:05 +0900

libsoup (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Wed, 13 Oct 2004 11:39:50 +0900

libsoup (2.2.0-2) unstable; urgency=low

  * fix shlibs info

 -- Takuo KITAME <kitame@debian.org>  Tue, 31 Aug 2004 14:34:01 +0900

libsoup (2.2.0-1) unstable; urgency=low

  * New upstream release
  * bump package name to libsoup2.2-7

 -- Takuo KITAME <kitame@debian.org>  Tue, 31 Aug 2004 12:03:56 +0900

libsoup (2.1.13-1) unstable; urgency=low

  * New upstream release
  * bump package name libsoup2.2-3 to libsoup2.2-6

 -- Takuo KITAME <kitame@debian.org>  Mon, 16 Aug 2004 11:58:26 +0900

libsoup (2.1.12-2) unstable; urgency=low

  * build against libgnutls11

 -- Takuo KITAME <kitame@debian.org>  Thu,  5 Aug 2004 18:27:08 +0900

libsoup (2.1.12-1) unstable; urgency=low

  * New upstream release
  * use cdbs

 -- Takuo KITAME <kitame@debian.org>  Tue, 20 Jul 2004 14:55:47 +0900

libsoup (2.1.11-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Mon,  7 Jun 2004 11:39:52 +0900

libsoup (2.1.10-3) unstable; urgency=low

  * added libsoup2.2-doc package

 -- Takuo KITAME <kitame@debian.org>  Tue,  1 Jun 2004 12:59:24 +0900

libsoup (2.1.10-2) unstable; urgency=low

  * upload to unstable

 -- Takuo KITAME <kitame@debian.org>  Wed, 26 May 2004 12:28:04 +0900

libsoup (2.1.10-1) experimental; urgency=low

  * New upstream release
  * build against libgnutls10

 -- Takuo KITAME <kitame@debian.org>  Mon, 24 May 2004 19:09:13 +0900

libsoup (2.1.9-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Wed,  7 Apr 2004 12:24:47 +0900

libsoup (2.1.8-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Tue,  9 Mar 2004 11:34:14 +0900

libsoup (2.1.7-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Wed, 18 Feb 2004 15:54:49 +0900

libsoup (2.1.5-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Tue,  3 Feb 2004 13:53:58 +0900

libsoup (2.1.4-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Tue, 20 Jan 2004 15:40:58 +0900

libsoup (2.1.3-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Thu,  8 Jan 2004 17:47:13 +0900

libsoup (2.1.2-1) experimental; urgency=low

  * New upstream release
  * change package name s/2.0/2.2/g

 -- Takuo KITAME <kitame@debian.org>  Thu, 11 Dec 2003 15:56:02 +0900

libsoup (1.99.26-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Wed, 24 Sep 2003 12:17:04 +0900

libsoup (1.99.23-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Thu, 12 Jun 2003 11:50:37 +0900

libsoup (1.99.22-2) unstable; urgency=low

  * Upload into unstable/main

 -- Takuo KITAME <kitame@debian.org>  Tue,  3 Jun 2003 15:28:17 +0900

libsoup (1.99.22-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Tue, 27 May 2003 18:33:55 +0900

libsoup (1.99.20-1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Wed,  7 May 2003 11:45:22 +0900

libsoup (1.99.17-0.2) experimental; urgency=low

  * --with-gnutls-includes

 -- Takuo KITAME <kitame@debian.org>  Tue,  6 May 2003 16:59:56 +0900

libsoup (1.99.17-0.1) experimental; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Thu, 24 Apr 2003 11:20:10 +0900

libsoup (1.99.12-0.1) experimental; urgency=low

  * Initial Release.

 -- Takuo KITAME <kitame@debian.org>  Wed, 19 Mar 2003 18:09:38 +0900
